MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001411XdebugFeature/Change requestpublic2017-04-01 09:592017-04-17 20:46
Reportersebastian 
Assigned Toderick 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformirrelevantOSirrelevantOS Versionirrelevant
Product Version2.5.1 
Target Version2.6.0devFixed in Version2.6.0dev 
Summary0001411: Use Error (Throwable) instead of fatal error when maximum nesting level is reached
DescriptionThe fact that Xdebug triggers a fatal error is an anachronism that does not fit in this day and age of PHP 7.

It would be great if Xdebug triggered an Error instead that can be handled using try/catch.
Steps To Reproduce$ cat f.php
<?php
function f() { f(); }
f();

$ php -d xdebug.max_nesting_level=2 f.php
PHP Fatal error: Maximum function nesting level of '2' reached, aborting! in /home/sb/f.php on line 2
PHP Stack trace:
PHP 1. {main}() /home/sb/f.php:0
PHP 2. f() /home/sb/f.php:3
TagsNo tags attached.
Operating System
PHP Version7.1.0-7.1.4
Attached Files

- Relationships

-  Notes
(0004274)
derick (administrator)
2017-04-17 20:46

Fixed for Xdebug 2.6.0-dev.

- Issue History
Date Modified Username Field Change
2017-04-01 09:59 sebastian New Issue
2017-04-16 09:37 derick Status new => confirmed
2017-04-16 09:37 derick Target Version => 2.6.0dev
2017-04-17 20:46 derick Note Added: 0004274
2017-04-17 20:46 derick Status confirmed => closed
2017-04-17 20:46 derick Assigned To => derick
2017-04-17 20:46 derick Resolution open => fixed
2017-04-17 20:46 derick Fixed in Version => 2.6.0dev


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker